interface StorageProvider {
    get(key: string): Promise<string | undefined>;
    set(key: string, value: string, expiresAt?: string): Promise<void>;
    remove(key: string): Promise<void>;
}
declare class CookieStorage implements StorageProvider {
    get(key: string): Promise<string | undefined>;
    set(key: string, value: string, expiresAt?: string): Promise<void>;
    remove(key: string): Promise<void>;
}
declare function getDefaultStorageProvider(): StorageProvider;

export { CookieStorage, type StorageProvider, getDefaultStorageProvider };
